Bug 471319 - Port confusion with --daemon mode and SSL
Port confusion with --daemon mode and SSL
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
All Linux
medium Severity low
: 1.1
: ---
Assigned To: Gordon Sim
Kim van der Riet
Depends On:
  Show dependency treegraph
Reported: 2008-11-12 17:48 EST by Ted Ross
Modified: 2009-02-04 10:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-04 10:37:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2008-11-12 17:48:29 EST
The simple sequence of qpidd -d; qpidd -q no longer works because there is ambiguity as to which port (tcp or ssl) defines the process:

$ src/qpidd --daemon
$ src/qpidd --quit
Cannot open /home/user/.qpidd/qpidd.5672.pid: No such file or directory
$ src/qpidd --quit --port 5671

It appears that the port used in the pid file is chosen by the --transport option.  This option appears to default to "ssl" for creation of the daemon and "tcp" for deletion of the daemon.

This is also true of the stdout emission of an ephemeral port:

$ src/qpidd --daemon --port 0

In this case, we have no idea what port qpidd is listening on for tcp.
Comment 1 Gordon Sim 2008-11-13 08:28:32 EST
Fixed by r713720.
Comment 2 Gordon Sim 2008-11-13 08:31:02 EST
To verify, configure SSL correctly[1] and ensure module is loaded on broker. Then check that:

$ src/qpidd --daemon
$ src/qpidd --quit

works and that:

$ src/qpidd --daemon --port 0

prints a port other than 5671.

[1] http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.1/html/Messaging_User_Guide/sect-Messaging_User_Guide-Authentication-Encryption_using_SSL.html

Or e.g. use the test_cert_db created by make check under qpid svn.
Comment 4 Frantisek Reznicek 2008-11-28 05:48:06 EST
Validated on RHEL 5.2 / 4.7 i386 / x86_64 that the issue has been fixed.

On packages:

Comment 6 errata-xmlrpc 2009-02-04 10:37:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.